// Copyright 2014-2017, Anitoa Systems, LLC
// All rights reserved

#include "stdafx.h"

#include "InterfaceObj.h"

CInterfaceObject::CInterfaceObject()
{
}

/////////////////////////////////////////////////////////////
// User customizable code
/////////////////////////////////////////////////////////////

void  CInterfaceObject::Initialize()
{	// Custom initialization code
}

void  CInterfaceObject::OnButtonA()
{
	// Example custom code
	if(!IsDeviceDetected()) return;

	CString s = "Chip ";
	s += GetChipName();
	s += "\r\n";

	InsertText(s);

	SetGainMode(0);		// high gain
	SetIntTime(1000);	// 1000 ms
	CaptureFrame12();
	DrawImage(80);

	DisplayFrameText();
}

void  CInterfaceObject::OnButtonB()
{
	// Example custom code
	if(!IsDeviceDetected()) InsertText("Device not there.");
}

void  CInterfaceObject::OnButtonC()
{
	// Example custom code
	SetGainMode(1);		// low gain
	SetIntTime(100);	// 100 ms
	CaptureFrame12();
	DrawImage(80);

	InsertText("Sleep...5s\r\n");
	Sleep(5000);

	SetGainMode(0);		// high gain
	SetIntTime(200);	// 100 ms
	CaptureFrame12();
	DrawImage(80);

	DisplayFrameText();
}


