// Copyright 2014-2017, Anitoa Systems, LLC
// All rights reserved

// TestBBDlg.h : header file
//

#pragma once

#include "TrimReader.h"
#include "InterfaceObj.h"

#define WM_ReadHID_event	WM_USER + 100

//#define dppage12 0x02		// display one page with 12 pixel
//#define dppage24 0x08		// display one page with 24 pixel

// CTestBBDlg dialog
class CTestBBDlg : public CDialogEx
{
// Construction
public:
	CTestBBDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TESTBB_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	void SendHIDRead();
	LRESULT Main_OnDeviceChange(WPARAM wParam, LPARAM lParam);

	//	void GetFWVersion();

// Implementation
protected:
	HICON m_hIcon;
	CString m_DisplayText;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT OnReadHID(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedButtonCapture();

	CInterfaceObject	m_InterfaceObject;
	BOOL				m_GainMode;

	void DrawPattern(int row, int contrast);

	afx_msg void OnBnClickedButtonCapture24();
	afx_msg void OnBnClickedRadioL();
	afx_msg void OnBnClickedRadioH();
	afx_msg void OnBnClickedButtonInttime();
	afx_msg void OnBnClickedButtona();
	afx_msg void OnBnClickedButtonb();
	afx_msg void OnBnClickedButtonc();

	void InsertText(CString s);
	void DisplayFrameText();
	afx_msg void OnBnClickedButtonClr();

	void UpdateGUIDisplay();
	virtual void OnCancel();
};
